### Enumeration

# CM ContentType

#### Declaration

    enum CM.ContentType

#### Description

No description available.

#### Members

`CM_CONTENT_TYPE_UNKNOWN`

  The content type is unknown.

  - Value: `0`
  - Available since: 0
`CM_CONTENT_TYPE_TEXT`

  A text, possibly including formatted text.

  - Value: `1`
  - Available since: 0
`CM_CONTENT_TYPE_EMOTE`

  An emote action (similar to /me in IRC).

  - Value: `2`
  - Available since: 0
`CM_CONTENT_TYPE_NOTICE`

  A notice is similar to text that is usually used by automated messages from bots.

  - Value: `3`
  - Available since: 0
`CM_CONTENT_TYPE_IMAGE`

  An image.

  - Value: `4`
  - Available since: 0
`CM_CONTENT_TYPE_FILE`

  A generic file.

  - Value: `5`
  - Available since: 0
`CM_CONTENT_TYPE_LOCATION`

  Location information in the form of a geo URI (RFC5870).

  - Value: `6`
  - Available since: 0
`CM_CONTENT_TYPE_AUDIO`

  An audio clip.

  - Value: `7`
  - Available since: 0
`CM_CONTENT_TYPE_VIDEO`

  A video clip.

  - Value: `8`
  - Available since: 0
`CM_CONTENT_TYPE_SERVER_NOTICE`

  A server notice.

  - Value: `9`
  - Available since: 0